package enum

type CentralKitchenForSchoolUserWithDayKind int32

const (
	CentralKitchenForSchoolUserWithDayKindForBreakfast = 1
	CentralKitchenForSchoolUserWithDayKindForLunch     = 2
	CentralKitchenForSchoolUserWithDayKindForDinner    = 3
)

func (gt CentralKitchenForSchoolUserWithDayKind) String() string {
	switch gt {
	case CentralKitchenForSchoolUserWithDayKindForBreakfast:
		return "早餐"
	case CentralKitchenForSchoolUserWithDayKindForLunch:
		return "午餐"
	case CentralKitchenForSchoolUserWithDayKindForDinner:
		return "晚餐"
	default:
		return "未知"
	}
}

type CentralKitchenForSchoolUserWithDayState int32

const (
	CentralKitchenForSchoolUserWithDayStateForWait      = 1
	CentralKitchenForSchoolUserWithDayStateForAlready   = 2
	CentralKitchenForSchoolUserWithDayStateForCanceling = 3
	CentralKitchenForSchoolUserWithDayStateForCancel    = 4
)

func (gt CentralKitchenForSchoolUserWithDayState) String() string {
	switch gt {
	case CentralKitchenForSchoolUserWithDayStateForWait:
		return "待就餐"
	case CentralKitchenForSchoolUserWithDayStateForAlready:
		return "已就餐"
	case CentralKitchenForSchoolUserWithDayStateForCanceling:
		return "退款中"
	case CentralKitchenForSchoolUserWithDayStateForCancel:
		return "已退款"
	default:
		return "未知"
	}
}
